%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate fs_at

Name:           rust-fs_at
Version:        0.1.10
Release:    1%{?dist}
Summary:        Implementation of 'at' functions for various platforms

License:        Apache-2.0
URL:            https://crates.io/crates/fs_at
Source0:         %{crates_source}
Patch:          fs_at-fix-metadata-auto.diff
Patch:          https://github.com/rbtcollins/fs_at/pull/121.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Implementation of 'at' functions for various platforms.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+workaround-procmon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+workaround-procmon-devel %{_description}

This package contains library source intended for building other packages which
use the "workaround-procmon" feature of the "%{crate}" crate.

%files       -n %{name}+workaround-procmon-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --exact --skip tests::readdir --skip tests::symlink_at
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.10-1
- initial build
